org.python.modules.jffi

## Class CodegenUtils

- java.lang.Object
- - org.python.modules.jffi.CodegenUtils

    public class CodegenUtils
    extends Object

Author:
  headius

### Constructor Summary

Constructors
Constructor and Description
`CodegenUtils()`

### Method Summary

Methods
`static String` `c(String p)` Creates a dotted class name from a path/package name
`static String` `ci(Class n)` Creates a class identifier of form Labc/abc;, from a Class.
`static String` `getAnnotatedBindingClassName(String javaMethodName, String typeName, boolean isStatic, int required, int optional, boolean multi, boolean framed)`
`static Class` `getBoxType(Class type)`
`static String` `human(Class n)` Creates a human-readable representation, from a Class.
`static String` `humanShort(Class n)`
`static String` `p(Class n)` Creates a class path name, from a Class.
`static Class[]` `params(Class... classes)`
`static Class[]` `params(Class cls1, Class cls2, Class clsFill, int times)`
`static Class[]` `params(Class cls1, Class clsFill, int times)`
`static Class[]` `params(Class cls, int times)`
`static String` `pretty(Class retval, Class... params)`
`static String` `prettyParams(Class... params)`
`static String` `prettyShortParams(Class... params)`
`static String` `sig(Class[] retvalParams)`
`static String` `sig(Class retval, Class... params)` Create a method signature from the given param types and return values
`static String` `sig(Class retval, String descriptor, Class... params)`
`static String` `sigParams(Class... params)`
`static String` `sigParams(String descriptor, Class... params)`
`static void` `visitAnnotationFields(org.objectweb.asm.AnnotationVisitor visitor, Map<String,Object> fields)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodegenUtils

    public CodegenUtils()

### Method Detail

#### c

    public static String c(String p)

Creates a dotted class name from a path/package name

#### p

    public static String p(Class n)

Creates a class path name, from a Class.

#### ci

    public static String ci(Class n)

Creates a class identifier of form Labc/abc;, from a Class.

#### human

    public static String human(Class n)

Creates a human-readable representation, from a Class.

#### humanShort

    public static String humanShort(Class n)

#### sig

    public static String sig(Class retval,
             Class... params)

Create a method signature from the given param types and return values

#### sig

    public static String sig(Class[] retvalParams)

#### sig

    public static String sig(Class retval,
             String descriptor,
             Class... params)

#### sigParams

    public static String sigParams(Class... params)

#### sigParams

    public static String sigParams(String descriptor,
                   Class... params)

#### pretty

    public static String pretty(Class retval,
                Class... params)

#### prettyParams

    public static String prettyParams(Class... params)

#### prettyShortParams

    public static String prettyShortParams(Class... params)

#### params

    public static Class[] params(Class... classes)

#### params

    public static Class[] params(Class cls,
                 int times)

#### params

    public static Class[] params(Class cls1,
                 Class clsFill,
                 int times)

#### params

    public static Class[] params(Class cls1,
                 Class cls2,
                 Class clsFill,
                 int times)

#### getAnnotatedBindingClassName

    public static String getAnnotatedBindingClassName(String javaMethodName,
                                      String typeName,
                                      boolean isStatic,
                                      int required,
                                      int optional,
                                      boolean multi,
                                      boolean framed)

#### visitAnnotationFields

    public static void visitAnnotationFields(org.objectweb.asm.AnnotationVisitor visitor,
                             Map<String,Object> fields)

#### getBoxType

    public static Class getBoxType(Class type)